Hyper-V Backups fail getting version of the VM or because powershell tools are missing

SUMMARY

Hyper-V Backup Fails immediately with the following error in Event Viewer : "An error was encountered while getting version of the VM"

ISSUE

HyperV Backup Fails with the following error indicated in the WBPS logs and Event Viewer
"An error was encountered while getting version of the VM"

It may also indicate "Hyper-V Powershell Tools are not installed"

 

RESOLUTION

Install the HyperV Powershell Command Applet

For Hyper-V 2008, see our companion KB Hyper-V backup fails with error 'Hyper-V PowerShell Module is not installed'


Windows Server 2012 and 2012 R2:
Open Powershell as administrator and run the following command:
Enable-WindowsOptionalFeature -Feature 'Microsoft-Hyper-V-All' -Online


Windows Server 2016:
Open Powershell as administrator and run the following command:
Install-WindowsFeature -Name RSAT-Hyper-V-Tools
This will install the tools that are not already installed only.  If they are all installed nothing will happen. 


Alternatively in 2012/2016, this can be installed via the UI via Add Features and Roles Wizard.  
User-added image


 

CAUSE

These errors are because they Hyper-V host does not currently contain Microsoft Hyper-V Powershell or management toolsets required to use by 3rd party backup operators.  These are components of Hyper-V that come pre-installed on Hyper-V Core Editions of windows but may not be installed with hyper-V by default in other windows versions. 

NOTES

References:

https://docs.microsoft.com/en-us/previous-versions/windows/it-pro/windows-server-2012-R2-and-2012/dn632582(v=ws.11)
https://support.microsoft.com/en-us/help/2693643/remote-server-administration-tools-rsat-for-windows-operating-systems

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Contact us